Issuetrak System Requirements

Issuetrak 11.1 System Requirements
release date: 10.23.2018

Upgrading to Issuetrak 11.1 requires that your current instance is on version 10.3.7 or higher before proceeding. If your environment is currently running an earlier version, please contact Issuetrak Support for assistance.

Issuetrak Support will be happy to troubleshoot or assist you with your initial installation or upgrade. You can contact Support at 888-789-8725 (US & Canada), +1 757-213-1351 (International), support@issuetrak.com or https://support.issuetrak.com/.

You can jump to the Issuetrak 11.0+ Table of Contents here.

Database Server

  • Processor – Dual Core 1.8 GHz Processor
  • Memory – 4 GB available RAM
  • Disk Space – 4 GB available hard disk space
  • Operating System – Windows Server 2008 R2 SP1 (32/64-bit; Standard, Datacenter, Enterprise), 2012 or 2012 R2, 2016 (32/64-bit; Standard, Datacenter)
  • Applications and Settings – Microsoft SQL Server 2012, 2014, 2016, or 2017 (32/64-bit; Standard, Web, and Enterprise)
    • Full-Text Search feature must be installed
    • SQL_Latin1_General_CP1_CI_AS collation enabled
    • SQL Server and Windows Authentication mode enabled
    • TCP/IP and/or Named Pipes protocols enabled in SQL Server
  • Additional Requirements:
    • Region and Language Settings should have the current locale set to “English (United States)”

Web Server

  • Processor – Dual Core 1.8 GHz Processor
  • Memory – 4 GB available RAM
  • Disk Space – 4 GB available hard disk space
  • Operating System – Windows Server 2008 R2 SP1 (32/64-bit; Standard, Datacenter, Enterprise), 2012 or 2012 R2, 2016 (32/64-bit; Standard, Datacenter)
  • IIS Version and Server Roles – Microsoft Internet Information Services (IIS) 7.5, 8.0, 8.5, or 10.0
    • Common HTTP Features: Static Content
    • Application Development: ASP, ASP.NET 4.5 or higher, and ISAPI Extensions
    • Security: Request Filtering
    • Performance: Static Content Compression
  • Additional Settings:
    • Microsoft .NET Framework 4.6.2
    • PowerShell 4.0 or greater
    • Issuetrak 11.1 requires that its classic and core application pools are running .NET Framework v4.0.
    • Issuetrak recommends securing each installation with SSL.

Please note that the upgrade utility will update the Classic and Core application pool .NET Framework version to version 4.0, and this could affect other sites that are running in the same pools!

Features and Add-Ons Checklist

Incoming Email

  • Applications – POP3, Secure POP3, IMAP, or Microsoft Exchange 2010 SP3 or newer

Outgoing Email / Notifications

  • Applications – SMTP-based outgoing email server

DPAPI Encryption

  • Microsoft .NET Framework 4.6.2

Active Directory

  • Microsoft Active Directory (AD) Lightweight Directory Access Protocol (LDAP)
  • AD-based Public Key Infrastructure (PKI), if enabling CAC/Smart Card Authentication
  • Microsoft Cryptographic API-compatible revocation provider on web server, if enabling Smart Card Authentication
  • AD Single Sign-On requires:
    • Windows Authentication Role Services enabled in the Web Server (IIS) Role
    • Integrated Windows Authentication enabled within IIS
  • AD SSL Encryption requires an LDAPS certificate to be installed on the Domain Controller

User Access

Web Browser

  • Firefox, Chrome, Edge, or Internet Explorer 11 (with Compatibility View disabled)

Additional Notes
  • Your Issuetrak database and web server can reside on the same or separate machines; dedicated or shared machines; or physical or virtual machines that meet the minimum requirements.
  • Issuetrak cannot reside on the same server as Microsoft Exchange, SharePoint, or Windows Server Update Services (WSUS).
  • We recommend additional processing power, RAM, and disk space for optimal performance and long-term scalability. When using a shared machine, we also recommend keeping the overall size and number of applications running on that machine to a minimum.
  • Issuetrak cannot reside on Windows Server Essentials, Windows Nano Server, Server Core, or a Domain Controller. It also cannot reside on the same server as Microsoft Exchange, SharePoint, or Windows Server Update Services (WSUS).
  • SQL Server Express is not a supported edition of Microsoft SQL Server.
  • Safari is not a supported browser for use with Issuetrak.

Issuetrak 11.0 System Requirements
release date: 5.14.2018

Upgrading to Issuetrak 11.0 requires that your current instance is on version 10.3.7 or higher before proceeding. If your environment is currently running an earlier version, please contact Issuetrak Support for assistance.

Issuetrak Support will be happy to troubleshoot or assist you with your initial installation or upgrade. You can contact Support at 888-789-8725 (US & Canada), +1 757-213-1351 (International), support@issuetrak.com or https://support.issuetrak.com/.

You can jump to the 11.0 Table of Contents here.

Database Server

  • Processor – Dual Core 1.8 GHz Processor
  • Memory – 4 GB available RAM
  • Disk Space – 4 GB available hard disk space
  • Operating System – Windows Server 2008 R2 SP1 (32/64-bit; Standard, Datacenter, Enterprise), 2012 or 2012 R2, 2016 (32/64-bit; Standard, Datacenter)
  • Applications and Settings – Microsoft SQL Server 2012, 2014, 2016, or 2017 (32/64-bit; Standard, Web, and Enterprise)
    • Full-Text Search feature must be installed
    • SQL_Latin1_General_CP1_CI_AS collation enabled
    • SQL Server and Windows Authentication mode enabled
    • TCP/IP and/or Named Pipes protocols enabled in SQL Server
  • Additional Requirements:
    • Region and Language Settings should have the current locale set to “English (United States)”

Web Server

  • Processor – Dual Core 1.8 GHz Processor
  • Memory – 4 GB available RAM
  • Disk Space – 4 GB available hard disk space
  • Operating System – Windows Server 2008 R2 SP1 (32/64-bit; Standard, Datacenter, Enterprise), 2012 or 2012 R2, 2016 (32/64-bit; Standard, Datacenter)
  • IIS Version and Server Roles – Microsoft Internet Information Services (IIS) 7.5, 8.0, 8.5, or 10.0
    • Common HTTP Features: Static Content
    • Application Development: ASP, ASP.NET 4.5 or higher, and ISAPI Extensions
    • Security: Request Filtering
    • Performance: Static Content Compression
  • Additional Settings:
    • Microsoft .NET Framework 4.6.2
    • PowerShell 4.0 or greater
    • Issuetrak 11.0 requires that its classic and core application pools are running .NET Framework v4.0.
    • Issuetrak recommends securing each installation with SSL.

Please note that the upgrade utility will update the Classic and Core application pool .NET Framework version to version 4.0, and this could affect other sites that are running in the same pools!

Features and Add-Ons Checklist

Incoming Email

  • Applications – POP3, Secure POP3, IMAP, or Microsoft Exchange 2010 SP3 or newer

Outgoing Email / Notifications

  • Applications – SMTP-based outgoing email server

DPAPI Encryption

  • Microsoft .NET Framework 4.6.2

Active Directory

  • Microsoft Active Directory (AD) Lightweight Directory Access Protocol (LDAP)
  • AD-based Public Key Infrastructure (PKI), if enabling CAC/Smart Card Authentication
  • Microsoft Cryptographic API-compatible revocation provider on web server, if enabling Smart Card Authentication
  • AD Single Sign-On requires:
    • Windows Authentication Role Services enabled in the Web Server (IIS) Role
    • Integrated Windows Authentication enabled within IIS
  • AD SSL Encryption requires an LDAPS certificate to be installed on the Domain Controller

User Access

Web Browser

  • Firefox, Chrome, Edge, or Internet Explorer 11 (with Compatibility View disabled)

Additional Notes
  • Your Issuetrak database and web server can reside on the same or separate machines; dedicated or shared machines; or physical or virtual machines that meet the minimum requirements.
  • Issuetrak cannot reside on the same server as Microsoft Exchange, SharePoint, or Windows Server Update Services (WSUS).
  • We recommend additional processing power, RAM, and disk space for optimal performance and long-term scalability. When using a shared machine, we also recommend keeping the overall size and number of applications running on that machine to a minimum.
  • Issuetrak cannot reside on Windows Server Essentials, Windows Nano Server, Server Core, or a Domain Controller. It also cannot reside on the same server as Microsoft Exchange, SharePoint, or Windows Server Update Services (WSUS).
  • SQL Server Express is not a supported edition of Microsoft SQL Server.
  • Safari is not a supported browser for use with Issuetrak.